Subject: devel-digest V2 #211
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest          Thursday, July 1 1999          Volume 02 : Number 211

In this issue:

    DMA on 21285
    Usefullness of RCA-Video Out?
    Re: Usefullness of RCA-Video Out?
    Re: Usefullness of RCA-Video Out?
    Re: Usefullness of RCA-Video Out?
    Re: The Much-Awaited DM3.0 Build 15
    Re: Usefullness of RCA-Video Out?

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Wed, 30 Jun 1999 04:13:14 +0000
From: David Friedman <[email-masked]>
Subject: DMA on 21285

I'm having problems getting DMA to work on an ebsa285.

The procedure I use is as follows:

1. Write the byte count, channel transfer direction, and end of chain
bit to the byte count register
2. Write PCI address to PCI address register
3. Write SDRAM address to SDRAM address register
4. Set the DMA channel active, initial descriptor bits.

I know the DMA does not start because reading the byte count, SDRAM and
PCI addresses yield the same values as the initial writes.

Are there any steps I am missing?

If anyone has any ideas or source code which does the DMA, please let me
know.

Thanks,

David Friedman

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 29 Jun 1999 23:11:13 -0700
From: "Sean Hummel" <[email-masked]>
Subject: Usefullness of RCA-Video Out?

Am I mistaken when I should think that the TV Video Out port, should 
actually be displayable on my standard TV?

When I install the module "tv_ntsc", what I see on the screen is few copies
of the same image (the console), overlapping, and flickering.   Obviously
the sync is off, but I can't figure out how to change the sync to something
which would be compatible.

Also, is it possible to MIRROR an image on TV, the same as the video port is
showing?    The image I get is a new console, I'd rather just mirror it.
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 30 Jun 1999 08:59:13 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: Usefullness of RCA-Video Out?

Ok... I'm going to write a FAQ on this very soon...  this is coming up
waaaaayy toooo often ;)

Sean Hummel wrote:
 
> When I install the module "tv_ntsc", what I see on the screen is few copies
> of the same image (the console), overlapping, and flickering.   Obviously
> the sync is off, but I can't figure out how to change the sync to something
> which would be compatible.

The console is running at 70Hz, your tv doesn't like that.  Try starting
up X in 640x480 mode and it should be nice and stable (if not, check
your /etc/XF86Config and ensure that the vertical refresh is at 60 Hz). 
Alternatively, there are some utilities available (svgatextmode in
patb's area) that allow you to change the scan rates and font size used
in the console.
 
> Also, is it possible to MIRROR an image on TV, the same as the video port is
> showing?    The image I get is a new console, I'd rather just mirror it.

Not sure what you mean here... the stuff on the NTSC output is exactly
the same as what's on the main display.  So far as I know there is no
choice in this matter.

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 30 Jun 1999 10:43:22 -0700
From: "Sean Hummel" <[email-masked]>
Subject: Re: Usefullness of RCA-Video Out?

Great thanks!

>> Also, is it possible to MIRROR an image on TV, the same as the video port is
>> showing?    The image I get is a new console, I'd rather just mirror it.
>
> Not sure what you mean here... the stuff on the NTSC output is exactly
> the same as what's on the main display.  So far as I know there is no
> choice in this matter.
>

I haven't had a chance to try your suggestions, but yes, when I install the
"tv_ntsc" module, the TV displays a new login prompt.  
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 30 Jun 1999 14:20:43 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: Usefullness of RCA-Video Out?

Sean Hummel wrote:
>
> I haven't had a chance to try your suggestions, but yes, when I install the
> "tv_ntsc" module, the TV displays a new login prompt.

Oh.  I misinterpreted what you said.  This is indicative of a problem
loadign the module (the insmod command failed, and _really_ core dumped,
killing the current process environment including the shell you were
in).  Most likely caused by mismatched kernel/modules.  Can you do
"uname -a" and report the results, also tell me what disk image (cat
/etc/redhat-release).

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 30 Jun 1999 17:01:05 -0400
From: Scott Bambrough <[email-masked]>
Subject: Re: The Much-Awaited DM3.0 Build 15

This is a multi-part message in MIME format.
- --------------08EA716BE3CB71FA46BDCEBB
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Jan Rinze wrote:
> 
> Ralph Siemsen wrote:
> 
> > The main stumbling block is still X,
> > which has been traced down to a compiler bug that's being looked at.
>
> Any clues on what the compiler bug is or where it is at ?
> It might be of interest to us, programmers.
> 

Not ATM.  We are not even sure it is a compiler bug.  It's just the current
theory.

Scott
- --------------08EA716BE3CB71FA46BDCEBB
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Scott Bambrough
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Scott Bambrough
n:              Bambrough;Scott
org:            Rebel.com
adr:            150 Isabella St.;;;Ottawa;Ontario;K1S 1V7;Canada
email;internet: [email-masked]
title:          Software Engineer
tel;work:       (613) 788-6000 x6116
tel;fax:        (613) 230-8300
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

- --------------08EA716BE3CB71FA46BDCEBB--

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 30 Jun 1999 14:26:42 -0700
From: "Sean Hummel" <[email-masked]>
Subject: Re: Usefullness of RCA-Video Out?

uname -a reported:
Linux khadaffi 2.0.35 #1 Thu Jan 21 15:41:36 EST 1999 armv4l

cat /etc/redhat-release  reported:
release 5.1 (Manhattan)
NetWinder DM version 2.1 [Build 12]

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #211
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.